ordering=custom
descript=For our Eastern Bali tour, our driver Made Klupadiana picked us up from our Cityzen Renon hotel.\
The schedule was 1. Goa Lawah Temple; 2.Tenganan Traditional Village; 3. Tirta Gangga Water Garden; 4. Ujung Water Palace (Karangasem).
